> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Deny a device authorization



## OpenAPI

````yaml /openapi.json post /api/v1/device-authorizations/{code}/deny
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/device-authorizations/{code}/deny:
    post:
      summary: Deny a device authorization
      operationId: denyDeviceAuthorization
      parameters:
        - name: code
          in: path
          required: true
          schema:
            type: string
            minLength: 8
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceAuthorizationDecision'
      security:
        - cookieAuth: []
components:
  schemas:
    DeviceAuthorizationDecision:
      type: object
      properties:
        status:
          type: string
          enum:
            - approved
            - denied
        workspace:
          type: string
          nullable: true
      required:
        - status
        - workspace
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````